diff -Naur ipxrtd/sap_output.c ipxrtd-fixed/sap_output.c
--- ipxrtd/sap_output.c	1998-02-16 14:54:32.000000000 +0100
+++ ipxrtd-fixed/sap_output.c	2019-10-29 19:25:15.000000000 +0100
@@ -186,8 +186,8 @@
 		*n = sap->sap;
 		n->hops = htons(metric);
 		n++;
-next:
 	}
+next:
 	if (n != sap_msg->sap) {
 		size = (char *)n - (char *)sap_msg;
 		(*output)(sapsock, flags, dst, size);
diff -Naur ipxrtd/trace.c ipxrtd-fixed/trace.c
--- ipxrtd/trace.c	1998-02-16 14:54:33.000000000 +0100
+++ ipxrtd-fixed/trace.c	2019-10-29 19:24:25.000000000 +0100
@@ -65,19 +65,6 @@
 void dumpif(FILE *fd, struct interface *ifp);
 void dumptrace(FILE *fd, char *dir, struct ifdebug *ifd);
 
-void
-traceinit(ifp)
-	register struct interface *ifp;
-{
-	static int iftraceinit();
-
-	if (iftraceinit(ifp, &ifp->int_input) &&
-	    iftraceinit(ifp, &ifp->int_output))
-		return;
-	tracing = 0;
-	syslog(LOG_ERR, "traceinit: can't init %s\n", ifp->int_name);
-}
-
 static int
 iftraceinit(ifp, ifd)
 	struct interface *ifp;
@@ -100,6 +87,20 @@
 }
 
 void
+traceinit(ifp)
+	register struct interface *ifp;
+{
+//	static int iftraceinit;
+
+	if (iftraceinit(ifp, &ifp->int_input) &&
+	    iftraceinit(ifp, &ifp->int_output))
+		return;
+	tracing = 0;
+	syslog(LOG_ERR, "traceinit: can't init %s\n", ifp->int_name);
+}
+
+
+void
 traceon(file)
 	char *file;
 {
